Package org.apache.catalina.core

## Class ContainerBase.PrivilegedAddChild

- java.lang.Object
- - org.apache.catalina.core.ContainerBase.PrivilegedAddChild

All Implemented Interfaces:
  `java.security.PrivilegedAction<java.lang.Void>`

Enclosing class:
  ContainerBase

    protected class ContainerBase.PrivilegedAddChild
    extends java.lang.Object
    implements java.security.PrivilegedAction<java.lang.Void>

Perform addChild with the permissions of this class. addChild can be called with the XML parser on the stack, this allows the XML parser to have fewer privileges than Tomcat.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### run

    public java.lang.Void run()

Specified by:
  `run` in interface `java.security.PrivilegedAction<java.lang.Void>`